Draft SelectPlane

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SelectPlane and the translation is 4% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Stretch.svg Stretch

Draft SelectPlane.svg {{{Name/es}}}

Ubicación en el Menú
Boceto -> Seleccionar plano
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
None


Descripción

El módulo de Croquis presenta un sistema de Plano de trabajo, que te permite especificar un plano en el espacio 3d en el cual se ejecutarán los siguientes comandos de Croquis. Existen diversos modos de definir el plano de trabajo:

  • A partir de una cara seleccionada
  • A partir de la vista actual
  • A partir de una vista predefinida: Planta, alzado o perfil
  • Ninguno, en cuyo caso el plano de trabajo se adapta automáticamente a la vista actual cuando se inicia un comando, o a una cara si comienzas dibujando sobre una cara existente.

WorkingPlane example.png

Different working planes can be set on which to draw shapes


Utilización

  1. Presiona el botón Draft SelectPlane.png Seleccionar plano

The Draft SelectPlane.svg SelectPlane button is present in the Draft Tray toolbar, which only appears in the Draft and Arch workbenches.

Without element selected

  1. Press the Draft SelectPlane.svg SelectPlane button.
  2. Select the offset, the grid spacing, and the main lines
  3. Select one of the presets: View-top.svg XY (top), View-front.svg XZ (front), View-right.svg YZ (side), View-isometric.svg View, or View-axonometric.svg Auto.

Once the plane is set, the button will change to indicate the active plane Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

You can show and hide the grid with the shortcut G R.

With element selected

  1. Select a face of an existing object in the 3D view, or hold Ctrl and select three vertices of any object. introduced in version 0.17
  2. Press the Draft SelectPlane.svg SelectPlane button, or right click and select Utilities → Draft SelectPlane.svg SelectPlane.

The plane will be created aligned to the face of the object, or to the plane defined by the three vertices.

Opciones

  • Para establecer el plano de trabajo en una cara existente: selecciona la cara de un objeto existente en la vista 3D, presiona el botón Draft SelectPlane.png Seleccionar plano
  • Presionando el botón VISTA se establecerá el plano de trabajo de la vista, perpendicular al eje de la cámara y pasando por el origen de coordenadas (0,0,0).
  • Presionando NINGUNO se eliminará la preselección de cualquier plano de trabajo actual. Las siguientes operaciones 2D serán dependientes de la vista.
  • También puedes especificar un valor de equidistancia, el cual establece tu plano de trabajo a determinada distancia a partir del plano que selecciones.

Archivos de guión

Los objetos Plano de Trabajo se pueden crear de forma sencilla y manipular en archivos de guión y macros. Puedes crear uno, y utilizarlo independientemente del plano de trabajo actual de Boceto.

Working plane objects can easily be created and manipulated in macros and from the Python console.

También puedes acceder al plano de trabajo de Boceto actual:

import FreeCAD

Workplane = FreeCAD.DraftWorkingPlane

v1 = FreeCAD.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()

Workplane.alignToPointAndAxis(v1, v2, 17)

A Draft command must be issued after changing the working plane to update the visible grid.

Ejemplo:

import WorkingPlane

Plane = WorkingPlane.plane()
Arrow-left.svg Previous: Draft Stretch.svg Stretch